Bug 131858 - [patch] sysutils/screen: Backspace key in GNU Screen not detected correctly
Summary: [patch] sysutils/screen: Backspace key in GNU Screen not detected correctly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-18 21:50 UTC by szalai.bandi
Modified: 2009-02-23 21:50 UTC (History)
0 users

See Also:


Attachments
src.diff (582 bytes, patch)
2009-02-18 21:50 UTC, szalai.bandi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description szalai.bandi 2009-02-18 21:50:00 UTC
In xfce4-terminal (which uses vte) you have to manually set the backspace
key in preferences. Auto-detection is not working.

Fix: The bug is fixed by patching screen. For more info, visit:

https://bugs.launchpad.net/vte/+bug/29787
https://bugs.launchpad.net/vte/+bug/29787/comments/19
http://git.savannah.gnu.org/cgit/screen.git/commit/?id=01fbf99748f536519605087d5937761790fc6ded
How-To-Repeat: 
See description.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-02-19 00:35:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

Fix synopsis and assign.
Comment 2 Cy Schubert freebsd_committer 2009-02-23 21:44:12 UTC
State Changed
From-To: open->closed

Committed screen.git commit 01fbf99748f536519605087d5937761790fc6ded. Thanks. 

Makefile revision: 1.77, patch-tty.sh revision: 1.1.
Comment 3 dfilter service freebsd_committer 2009-02-23 21:48:44 UTC
cy          2009-02-23 21:48:35 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/screen      Makefile 
  Added files:
    sysutils/screen/files patch-tty.sh 
  Log:
  Set termios' VERASE to DEL, for vte's autodetect feature.
  
  PR:             131858
  Submitted by:   Szalai Andras <szalai.bandi@gmail.com>
  Obtained from:  screen.git commit 01fbf99748f536519605087d5937761790fc6ded
                  by Micah Cowan <micah@cowan.name>
                  see: http://git.savannah.gnu.org/cgit/screen.git/commit/?id=01fbf99748f536519605087d5937761790fc6ded
  
  Revision  Changes    Path
  1.77      +1 -1      ports/sysutils/screen/Makefile
  1.1       +23 -0     ports/sysutils/screen/files/patch-tty.sh (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"